Subject: Re: [RFC 1/2] net: Introduce recvmmsg socket syscall

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Wed, 3 Jun 2009 22:46:23 -0300

Em Wed, Jun 03, 2009 at 06:44:22PM -0700, Andrew Grover escreveu:
> On Fri, May 22, 2009 at 1:06 PM, Neil Horman <[email-masked]> wrote:
> > Not to throw more questions into the mix again, but didn't Ingo write a
> > batching syscall a while back, which let you issue several syscalls in one trap
> > to kernel space?  I understand that your approach has some efficiency gains over
> > that, but did that ever get accepted upstream?  Is the overlap there sufficient
> > to make this approach redundant?  Or are the gains in performance here
> > sufficient to warrant this new call?
> 
> I couldn't find this via Google or any posts to LKML by Ingo on this?
> 
> I'm very interested in multiple send/recvmsg support. So, it's
> definitely going to happen? :-)

I got sidetracked with some other activities, and was waiting for more
comments and reports from some testers, but will be back to implement a
v2 patch soon.

- Arnaldo